13 Jul

PHP Upgrade to Version 5.3.x

We upgraded PHP in the Grid from 5.3.13 to the latest release, 5.3.14. This new release patches several security vulnerabilities existing in 5.3.13. Please note, the PHP development team already declared End of live for version 5.3.13. Here’s what the PHP development team says about this update:

The PHP development team would like to announce the immediate availability of PHP 5.4.4 and PHP 5.3.14. All users of PHP are encouraged to upgrade to PHP 5.4.4 or PHP 5.3.14.

The release fixes multiple security issues: A weakness in the DES implementation of crypt and a heap overflow issue in the phar extension

PHP 5.4.4 and PHP 5.3.14 fixes over 30 bugs. Please note that the use of php://fd streams is now restricted to the CLI SAPI

For source downloads of PHP 5.4.4 and PHP 5.3.14 please visit our downloads page, Windows binaries can be found onwindows.php.net/download/. The list of changes are recorded in the ChangeLog.

For a full list of changes between 5.3.13 and 5.3.14, visit php.net.

While this small upgrade should not present problems for most websites, this will cause some minor compatibility issues mainly with those client who have not kept your software updated in the past.

We highly recommend that you update any PHP scripts you are running such as WordPress, vBulletin, Joomla, etc. We always recommend you stay up to date most importantly for security reasons.

As always, let us know if you have any issues resulting from this upgrade by contacting our support desk. You can reach the support desk by sending email to support@tetrahostbd.com

Leave a Reply

Your email address will not be published. Required fields are marked *